/* DCDECL.PH */
/* Y.L. Noyelle, Supelec, France 1998 */

#ifndef DCDECL_PH
#define DCDECL_PH

#define NbBitsDscId	3
#define BitUpp	(TmskFrstChId)(4)
#define BitLow	(TmskFrstChId)(2)
#define BitUnd	(TmskFrstChId)(1)  /* cf. array 'tabErr', dcdecl.c */
#define AllBitsFI (BitLow | BitUnd | BitUpp)
/* Do not change the PMskXXX order without changing the 'letterList' array
   initialization in dcmain.c. */
#define PMskVar	(TposMskFI)0
#define PMskGbl	(PMskVar + NbBitsDscId)
#define PMskExt	(PMskGbl + NbBitsDscId)
#define PMskFct	(PMskExt + NbBitsDscId)
#define PMskFctE (PMskFct + NbBitsDscId)
#define PMskPar	(PMskFctE + NbBitsDscId)
/* Should stay together, and in that order (cf. 'correctFrstCh()' VVVV */
#define PMskTyp	(PMskPar + NbBitsDscId)
#define PMskSym	(PMskTyp + NbBitsDscId)
#define PMskMac	(PMskSym + NbBitsDscId)
/**************************************************************** ^^^^ */
#define PMskMbr	(PMskMac + NbBitsDscId)
#define PMskEnu	(PMskMbr + NbBitsDscId)
#define PMskTag	(PMskEnu + NbBitsDscId)
#define PMskParM (PMskTag + NbBitsDscId)

typedef uint TposMskFI;
typedef ulong TmskFrstChId;

typedef struct _tUndfTagElt TundfTagElt;
struct _tUndfTagElt {
  TsemanElt *pTagId;
  TundfTagElt *prev;
};

extern bool correctFrstCh(TposMskFI, Tname, bool) /*~PseudoVoid*/;
extern void initDecl(void);

extern TundfTagElt *headUndfTagsList;
extern TmskFrstChId mskFrstChId, mskFrstChId1;

#endif /* ifndef DCDECL_PH */
/* End DCDECL.PH */
